org.apache.cassandra.cql3.statements

## Class RawSelector.WithFunction

- java.lang.Object
- - org.apache.cassandra.cql3.statements.RawSelector.WithFunction

- All Implemented Interfaces:
    RawSelector
  Enclosing interface:
    RawSelector

      public static class RawSelector.WithFunction
      extends java.lang.Object
      implements RawSelector

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.RawSelector

      `RawSelector.WithFunction, RawSelector.WritetimeOrTTL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<RawSelector>` | `args`
    `java.lang.String` | `functionName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RawSelector.WithFunction(java.lang.String functionName, java.util.List<RawSelector> args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### functionName

          public final java.lang.String functionName

    - #### args

          public final java.util.List<RawSelector> args

  - ### Constructor Detail

    - #### RawSelector.WithFunction

          public RawSelector.WithFunction(java.lang.String functionName,
                                  java.util.List<RawSelector> args)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation